

# GetChannelNamespace
<a name="API_GetChannelNamespace"></a>

Retrieves the channel namespace for a specified `Api`.

## Request Syntax
<a name="API_GetChannelNamespace_RequestSyntax"></a>

```
GET /v2/apis/apiId/channelNamespaces/name HTTP/1.1
```

## URI Request Parameters
<a name="API_GetChannelNamespace_RequestParameters"></a>

The request uses the following URI parameters.

 ** [apiId](#API_GetChannelNamespace_RequestSyntax) **   <a name="appsync-GetChannelNamespace-request-uri-apiId"></a>
The `Api` ID.  
Required: Yes

 ** [name](#API_GetChannelNamespace_RequestSyntax) **   <a name="appsync-GetChannelNamespace-request-uri-name"></a>
The name of the `ChannelNamespace`.  
Length Constraints: Minimum length of 1. Maximum length of 50.  
Pattern: `([A-Za-z0-9](?:[A-Za-z0-9\-]{0,48}[A-Za-z0-9])?)`   
Required: Yes

## Request Body
<a name="API_GetChannelNamespace_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetChannelNamespace_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "channelNamespace": { 
      "apiId": "string",
      "channelNamespaceArn": "string",
      "codeHandlers": "string",
      "created": number,
      "handlerConfigs": { 
         "onPublish": { 
            "behavior": "string",
            "integration": { 
               "dataSourceName": "string",
               "lambdaConfig": { 
                  "invokeType": "string"
               }
            }
         },
         "onSubscribe": { 
            "behavior": "string",
            "integration": { 
               "dataSourceName": "string",
               "lambdaConfig": { 
                  "invokeType": "string"
               }
            }
         }
      },
      "lastModified": number,
      "name": "string",
      "publishAuthModes": [ 
         { 
            "authType": "string"
         }
      ],
      "subscribeAuthModes": [ 
         { 
            "authType": "string"
         }
      ],
      "tags": { 
         "string" : "string" 
      }
   }
}
```

## Response Elements
<a name="API_GetChannelNamespace_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [channelNamespace](#API_GetChannelNamespace_ResponseSyntax) **   <a name="appsync-GetChannelNamespace-response-channelNamespace"></a>
The `ChannelNamespace` object.  
Type: [ChannelNamespace](API_ChannelNamespace.md) object

## Errors
<a name="API_GetChannelNamespace_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You don't have access to perform this operation on this resource.  
HTTP Status Code: 403

 ** BadRequestException **   
The request is not well formed. For example, a value is invalid or a required field is missing. Check the field values, and then try again.    
 ** detail **   
Provides further details for the reason behind the bad request. For reason type `CODE_ERROR`, the detail will contain a list of code errors.  
 ** reason **   
Provides context for the cause of the bad request. The only supported value is `CODE_ERROR`.
HTTP Status Code: 400

 ** InternalFailureException **   
An internal AWS AppSync error occurred. Try your request again.  
HTTP Status Code: 500

 ** NotFoundException **   
The resource specified in the request was not found. Check the resource, and then try again.  
HTTP Status Code: 404

 ** UnauthorizedException **   
You aren't authorized to perform this operation.  
HTTP Status Code: 401

## See Also
<a name="API_GetChannelNamespace_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appsync-2017-07-25/GetChannelNamespace) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appsync-2017-07-25/GetChannelNamespace) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appsync-2017-07-25/GetChannelNamespace) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appsync-2017-07-25/GetChannelNamespace) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appsync-2017-07-25/GetChannelNamespace) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appsync-2017-07-25/GetChannelNamespace) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appsync-2017-07-25/GetChannelNamespace) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appsync-2017-07-25/GetChannelNamespace) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appsync-2017-07-25/GetChannelNamespace) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appsync-2017-07-25/GetChannelNamespace) 